1. Wallet Transactions
Treek-Public
  • Authentication
    • User login with email and password
      POST
  • Orders
    • Create Order
      POST
    • List Orders
      GET
    • Order Details
      GET
    • Update Order
      PUT
    • Cancel Order
      POST
    • Reset Order
      POST
    • Get Statuses
      GET
    • Verify Item
      POST
    • Verify Order
      POST
    • Order Price
      GET
  • Shipments
    • Create Shipment
      POST
    • Return Shipment
      POST
    • Print Invoice
      GET
    • Get Pickup id
      GET
  • Packages
    • Create Package
      POST
    • Get Packages
      GET
    • Package Details
      GET
    • Update Package
      PUT
  • Merchants
    • Merchants Details
      GET
  • Profile
    • User Details
      GET
    • Update User
      PUT
    • Change Password
      PUT
  • Utilities
    • Countries List
    • Cities List
    • Couriers List
  • Warehouses
    • Warehouses List
    • Create warehouse
    • warehouse Details
  • Price Calculator
    • Price Calculator
  • Packaging Type
    • Packaging Types List
    • Packaging Type Details
  • COD Wallet
    • List COD wallets
    • Debit COD wallet
    • Get COD wallet summary
  • Wallet Transactions
    • List wallet transactions
      GET
  • Schemas
    • LoginRequest
    • CreateOrderRequest
    • UpdateOrderRequest
    • Price Calculator
    • VerifyItem
    • CreateWarehouseRequest
    • Shipment Package
    • Create Reverse Shipment
    • OrderPackages
    • OrderItem
    • Order
    • ErrorResponse
    • City
    • AutomationRuleCondition
    • Country
    • AutomationRule
    • User
    • PaginationMeta
    • OrderItem
    • PaginatedAutomationRules
    • SuccessResponse
    • CreateOrderItemRequest
    • CalculateRatesRequest
    • BoxDimensions
    • OrderShippingRate
    • RateCalculationParams
    • Warehouse
    • Box
    • CreateBoxRequest
    • UpdateBoxRequest
    • ValidationError
    • NotFoundError
    • UnauthorizedError
    • ForbiddenError
    • PaginationLinks
  1. Wallet Transactions

List wallet transactions

GET
https://api.gotreek.com/api/wallet-transactions
Wallet Transactions
Last modified:2026-08-21 11:16:48
Paginated wallet transactions for the authenticated merchant (main + loyalty wallets merged).

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://app.gotreek.com/api/auth/login
or
Query Params

Responses

🟢200
application/json
Paginated wallet transactions
Bodyapplication/json

🟠401
🟠403
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gotreek.com/api/wallet-transactions?page=undefined&per_page=undefined&type=undefined&wallet=undefined&search=undefined&created_from=undefined&created_to=undefined&reason=undefined&shipment_company=undefined&warehouse_id=undefined&sort_by=undefined&sort_dir=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "current_page": 1,
    "data": [
        {
            "id": 101,
            "key": "main:101",
            "source": "main",
            "type": "credit",
            "amount": 50,
            "amount_formatted": "50.00",
            "reason": "account_recharge",
            "is_debit": false,
            "can_print_invoice": true,
            "can_download_attachment": false,
            "remaining_balance": 50,
            "description": "Account recharge",
            "shipment_company": null,
            "shipment_reference": null,
            "weight_grams": 1500,
            "order_number": null,
            "created_at": "2026-08-21T10:15:00+00:00",
            "updated_at": "2026-08-21T10:15:00+00:00"
        }
    ],
    "per_page": 20,
    "total": 1
}
Modified at 2026-08-21 11:16:48
Previous
Get COD wallet summary
Next
LoginRequest
Built with